Bug 1304804 - synchronisation of epel5 x86_64 channel from satellite 6.1 broken (epel5 x86_64.debug works)
synchronisation of epel5 x86_64 channel from satellite 6.1 broken (epel5 x86_...
Product: Fedora EPEL
Classification: Fedora
Component: epel-release (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Michael Stahnke
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-02-04 11:37 EST by pascal.cavy.ext
Modified: 2017-04-06 06:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-04-06 06:35:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description pascal.cavy.ext 2016-02-04 11:37:16 EST
I added epel5 x86_64 as a repository on a product on satellite 6.1
It synced ok some weeks ago.

since about 1 week, I am unable to sync it again. are metadata for this channel broken ?

for information: the epel5 x86_64.debug is still syncing ok on satellite.

Following is the error reported where I can see :

          "error"=>"'NoneType' object has no attribute 'text'"},







     "Traceback (most recent call last):\n  File \"/usr/lib/python2.7/site-packages/celery/app/trace.py\", line 240, in trace_task\n    R = retval = fun(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py\", line 328, in __call__\n    return super(Task, self).__call__(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/celery/app/trace.py\", line 437, in __protected_call__\n    return self.run(*args, **kwargs)\n  File \"/usr/lib/python2.7/site-packages/pulp/server/managers/repo/sync.py\", line 114, in sync\n    raise PulpExecutionException(_('Importer indicated a failed response'))\nPulpExecutionException: Importer indicated a failed response\n",
           {"rpm_total"=>0, "rpm_done"=>0, "drpm_total"=>0, "drpm_done"=>0},
          "error"=>"'NoneType' object has no attribute 'text'"},
      "description"=>"Importer indicated a failed response",
 "poll_attempts"=>{"total"=>36, "failed"=>0}}


Katello::Errors::PulpError: PLP0000: Importer indicated a failed response
Comment 1 Kevin Fenzi 2016-02-04 15:13:24 EST
It seems fine to me here. 

Can you manually download and attach:


and confirm thats the same metalink you are using in pulp?
Or if not, what url you are using?
Comment 2 pascal.cavy.ext 2016-02-05 03:52:30 EST

I am using satellite 6.1 GUI -> product -> repo discovery
and I used the following url to discover epel5 repositories

which created the following 2 repositories :

this one that I cannot sync correctly :

Basic Information
Name epel5 x86_64
Label epel5_x86_64
Type yum
URL https://dl.fedoraproject.org/pub/epel/5/x86_64
Yum Metadata Checksum Default
Publish via HTTPS true
Publish via HTTP Yes
Published At http://monserver.com/pulp/repos/Default_Organization/Library/custom/EPEL5/epel5_x86_64
EPEL5 pgp
Sync Status
Sync Interval Synced manually, no interval set.
Last Sync about 17 hours Ago (Feb 4, 2016 4:51:21 PM Local Time)
Next Sync Synced manually, no interval set.
Sync State warning

Content Counts
Content Type
Packages 7296
Errata 	52
Package Groups 	0

And the debug repository where sync works :

 Back to Repository List
Basic Information
Name epel5 x86_64 debug
Label epel5_x86_64_debug
Type yum
URL https://dl.fedoraproject.org/pub/epel/5/x86_64/debug/
Yum Metadata Checksum sha1
Publish via HTTPS true
Publish via HTTP Yes
Published At http://satvxlexp1.srv.netbanque.fr/pulp/repos/Default_Organization/Library/custom/EPEL5/epel5_x86_64_debug
EPEL5 pgp
Sync Status
Sync Interval Synced manually, no interval set.
Last Sync about 18 hours Ago (Feb 4, 2016 4:04:59 PM Local Time)
Next Sync Synced manually, no interval set.
Sync State success

Content Counts
Content Type 
Packages 1600
Errata 	0
Package Groups 	0

note that the debug repo has no errata, and the error message seems related to errata.
Comment 3 pascal.cavy.ext 2016-02-05 04:15:12 EST
the process to do that is described here https://satellite-nixpeeps.rhcloud.com/?p=512
Comment 4 Kevin Fenzi 2016-02-05 19:57:08 EST
Could this be: 

Comment 5 pascal.cavy.ext 2016-02-08 04:38:53 EST
symptoms are very similar yes. But I have 

# rpm -q pulp-server

so this should be already fixed according to bug report.
Comment 6 pascal.cavy.ext 2016-02-08 05:16:03 EST
I also opened a bug on redhat RHEL7 satellite 6.1 for this problem. It seems to be a bug they know bu not yet fixed.
Comment 7 Kevin Fenzi 2016-02-08 08:26:51 EST
Yeah, I cannot find anything wrong with the epel5 repodata.
Comment 8 pascal.cavy.ext 2016-02-08 08:28:31 EST
anyway big thanks for investigating, I'll keep you informed on the progress on the redhat side.
Comment 11 Fedora End Of Life 2017-04-06 06:35:08 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.